/*
 * 入力プロセスデータ受信スレッドクラスヘッダー
 * InProcessRxTask.h
 *
 *  Created on: 2018/09/19
 *      Author: shingo
 */

#ifndef CATMASTER_INPROCESSRXTASKCLASS_H_
#define CATMASTER_INPROCESSRXTASKCLASS_H_

#include <ti/sysbios/knl/Event.h>
#include "ProcessDataBuffer.h"

typedef struct {
    ProcessDataBuffer* dataBuffer;
    Event_Handle eventHnd;
    EC_T_BYTE* inputDataBuff;
    int inputDataSize;
} ST_PRO_RX_TASK_PRAM;

class InProcessRxTaskClass
{
public:
    InProcessRxTaskClass();
    virtual ~InProcessRxTaskClass();
    void init(ST_PRO_RX_TASK_PRAM*);
    void loopMain();

private:
    ST_PRO_RX_TASK_PRAM taskParam;



};

#endif /* CATMASTER_INPROCESSRXTASKCLASS_H_ */
